const getRandomFromArray = array => array[Math.floor(Math.random() * array.length)]

const chaosCpsMods = [3, 2, 0.1, 1, 1.5, 1.6, 0, 1.1, 1.1, 1.26]
const chaosAvg = () => chaosCpsMods.reduce((total, next) => total + next, 0) / chaosCpsMods.length
//const getChaos = offset => chaosCpsMods[(Math.floor(new Date().getSeconds() / chaosCpsMods.length) + offset) % chaosCpsMods.length]
const getChaos = offset => chaosCpsMods[(Math.floor(new Date().getSeconds() / chaosCpsMods.length)) % chaosCpsMods.length]

const quackStore = {
  ascent: {
    name: 'Ascent',
    type: 'cps',
    emoji: 'rocket',
    description: 'Welcome to level 2. Boosts all CPS by 20%',
    effect: cps => cps * 1.2,
    cost: 1
  },
  nuclearFuel: {
    name: 'Nuclear Fuel',
    type: 'cps',
    emoji: 'atom_symbol',
    description: 'The future is now. Boosts all CPS by 20%.',
    preReqs: ['ascent'],
    effect: cps => cps * 1.2,
    cost: 5
  },
  chaos: {
    name: 'Chaos',
    type: 'cps',
    emoji: 'eye',
    description: 'Awaken. Gives a random modifier to your CPS every six seconds. May have other consequences...',
      //+ '_\n_Averages a 26% CPS boost.',
    preReqs: ['nuclearFuel'],
    effect: (cps, user) => {
      if (user.name !== 'Sage') {
        console.log('Chaos Multiplier', getChaos(Math.round(user.interactions / 50)))
      }
      return cps * getChaos(Math.round(user.interactions / 50))
    },
    cost: 10
  }
}

module.exports = {
  quackStore,
  getChaos: user => getChaos(user.interactions || 0)
}
